Subject: Re: [PATCH] netpoll: fix race on poll_list resulting in garbage entry

From: Neil Horman <[email-masked]>
Date: Thu, 18 Dec 2008 20:25:27 -0500

On Thu, Dec 18, 2008 at 10:40:15PM +0000, Ben Hutchings wrote:
> On Thu, 2008-12-18 at 14:52 -0500, Neil Horman wrote:
> [...]
> > diff --git a/drivers/net/sfc/efx.c b/drivers/net/sfc/efx.c
> > index 086629c..75273bb 100644
> > --- a/drivers/net/sfc/efx.c
> > +++ b/drivers/net/sfc/efx.c
> > @@ -226,11 +226,11 @@ static int efx_poll(struct napi_struct *napi, int budget)
> >  
> >  	if (rx_packets < budget) {
> >  		/* There is no race here; although napi_disable() will
> > -		 * only wait for netif_rx_complete(), this isn't a problem
> > +		 * only wait for netif_rx_complete(this isn't a problem
> >  		 * since efx_channel_processed() will have no effect if
> >  		 * interrupts have already been disabled.
> >  		 */
> [...]
> 
> You'll want to exclude comments from your search-and-replace.
> 
> Ben.
> 
> -- 
> Ben Hutchings, Senior Software Engineer, Solarflare Communications
> Not speaking for my employer; that's the marketing department's job.
> They asked us to note that Solarflare product names are trademarked.
> 
> 
> 

Dave, can you fix this up, or would you rather I repost the patch?
Neil